Subject: [alpine-aports] [PATCH] testing/silc-client: new aport

From: Johannes Matheis <[email-masked]>
Date: Thu, 12 Feb 2015 16:54:35 +0000

Secure Internet Live Conferencing - client
http://silcnet.org/
---
 testing/silc-client/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/silc-client/APKBUILD

diff --git a/testing/silc-client/APKBUILD b/testing/silc-client/APKBUILD
new file mode 100644
index 0000000..ba9b8dd
--- /dev/null
+++ b/testing/silc-client/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Johannes Matheis <[email-masked]>
+# Maintainer: Johannes Matheis <[email-masked]>
+pkgname=silc-client
+pkgver=1.1.11
+pkgrel=0
+pkgdesc="Secure Internet Live Conferencing - client"
+url="http://silcnet.org/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev="glib-dev openssl-dev perl-dev"
+makedepends="$depends_dev file"
+install=""
+subpackages="$pkgname-doc"
+source="https://downloads.sourceforge.net/project/silc/silc/client/sources/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR=$pkgdir install
+	rm $pkgdir/usr/lib/perl5/core_perl/perllocal.pod
+}
+
+md5sums="9c025a158e8a92740ca3abcc2c648d4b  silc-client-1.1.11.tar.gz"
+sha256sums="8cedf2f3c15322296afe094de60504bc27e349f1942713a2f322c7ef6ad5089e  silc-client-1.1.11.tar.gz"
+sha512sums="185cd687a155fbbfbb65877438c2ad099d6795451d443d4d826d47469d312fa9f82035999d1cdf80f24eac2df45a10e88ddf095dc5acda70a31c61a4abb1cdb2  silc-client-1.1.11.tar.gz"
+
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---